# Uses of Interface
org.opensaml.saml.saml2.core.AuthnStatement

Packages that use AuthnStatement
Package
Description
org.opensaml.saml.saml2.assertion.impl
Implementation classes for validating SAML 2 Assertions.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.testing

## Uses of AuthnStatement in org.opensaml.saml.saml2.assertion.impl

Methods in org.opensaml.saml.saml2.assertion.impl with parameters of type AuthnStatement
Modifier and Type
Method
Description
`protected ValidationResult`
AuthnStatementValidator.`validateAuthnContext(AuthnStatement authnStatement, Assertion assertion, ValidationContext context)`
Validate the `AuthnContext`.
`protected ValidationResult`
AuthnStatementValidator.`validateAuthnInstant(AuthnStatement authnStatement, Assertion assertion, ValidationContext context)`
Validate the authnInstant attribute of the `AuthnStatement`.
`protected ValidationResult`
AuthnStatementValidator.`validateSubjectLocality(AuthnStatement authnStatement, Assertion assertion, ValidationContext context)`
Validate the `SubjectLocality`.

## Uses of AuthnStatement in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type AuthnStatement
Modifier and Type
Method
Description
`List<AuthnStatement>`
Assertion.`getAuthnStatements()`
Gets the list of AuthnStatements attached to this assertion.

## Uses of AuthnStatement in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement AuthnStatement
Modifier and Type
Class
Description
`class`
`AuthnStatementImpl`
A concrete implementation of `AuthnStatement`.
Methods in org.opensaml.saml.saml2.core.impl that return AuthnStatement
Modifier and Type
Method
Description
`AuthnStatement`
AuthnStatementBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthnStatement`
AuthnStatementBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type AuthnStatement
Modifier and Type
Method
Description
`List<AuthnStatement>`
AssertionImpl.`getAuthnStatements()`
Gets the list of AuthnStatements attached to this assertion.

## Uses of AuthnStatement in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return AuthnStatement
Modifier and Type
Method
Description
`static AuthnStatement`
SAML2ActionTestingSupport.`buildAuthnStatement()`
Builds an authentication statement.
`static AuthnStatement`
SAML2ActionTestingSupport.`buildAuthnStatement(Instant ts, String address, String classRef)`
Builds an authentication statement with specified timestamp and subject locality data and context class ref.